StandardCharsets (Java Platform SE 8 )
Keywords: java.nio.charset.StandardCharsets class
Date: 2026-06-25

compact1, compact2, compact3
java.nio.charset

## Class StandardCharsets

- java.lang.Object
- - java.nio.charset.StandardCharsets

-     public final class StandardCharsets
      extends Object

  Constant definitions for the standard `Charsets`. These charsets are guaranteed to be available on every implementation of the Java platform.
  Since:
    1.7
  See Also:
    Standard Charsets

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Charset` | `ISO_8859_1` ISO Latin Alphabet No.
    `static Charset` | `US_ASCII` Seven-bit ASCII, a.k.a.
    `static Charset` | `UTF_16` Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark
    `static Charset` | `UTF_16BE` Sixteen-bit UCS Transformation Format, big-endian byte order
    `static Charset` | `UTF_16LE` Sixteen-bit UCS Transformation Format, little-endian byte order
    `static Charset` | `UTF_8` Eight-bit UCS Transformation Format

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### US_ASCII

          public static final Charset US_ASCII

      Seven-bit ASCII, a.k.a. ISO646-US, a.k.a. the Basic Latin block of the Unicode character set

    - #### ISO_8859_1

          public static final Charset ISO_8859_1

      ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1

    - #### UTF_8

          public static final Charset UTF_8

      Eight-bit UCS Transformation Format

    - #### UTF_16BE

          public static final Charset UTF_16BE

      Sixteen-bit UCS Transformation Format, big-endian byte order

    - #### UTF_16LE

          public static final Charset UTF_16LE

      Sixteen-bit UCS Transformation Format, little-endian byte order

    - #### UTF_16

          public static final Charset UTF_16

      Sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.